Loading...
Searching...
No Matches
Dune::TypeTree::DynamicTraversal Struct Reference
dune-typetree » Traversal

Mixin base class for visitors that only need a dynamic TreePath during traversal. More...

`#include <dune/typetree/visitor.hh>`

## Static Public Attributes

static const TreePathType::Type | treePathType = TreePathType::dynamic
| Use the dynamic tree traversal algorithm.

## Detailed Description

Mixin base class for visitors that only need a dynamic TreePath during traversal.

Note
  Dynamic traversal is preferable to static traversal, as it causes fewer template instantiations, which improves compile time and reduces object size (especially if compiling with debug information).

See also
  StaticTraversal

## Member Data Documentation

## treePathType

const TreePathType::Type Dune::TypeTree::DynamicTraversal::treePathType = TreePathType::dynamic

static

Use the dynamic tree traversal algorithm.

The documentation for this struct was generated from the following file:

- visitor.hh